Bug 114787 - top crash
Summary: top crash
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: procps (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Karel Zak
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-02 21:32 UTC by Levente Farkas
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-01 16:11:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Levente Farkas 2004-02-02 21:32:42 UTC
Description of problem:
after a long run top is always crash

Version-Release number of selected component (if applicable):
procps-2.0.11-6

How reproducible:
always

Steps to Reproduce:
1. run top for a long time (a few hours)
2.
3.
  
Actual results:
floating point exception

Expected results:
none

Additional info:
here is the gdb top backtrace result:
Program received signal SIGFPE, Arithmetic exception.
0x0804e16c in strcpy ()

bt
#0  0x0804e16c in strcpy ()
#1  0x0805538c in _IO_stdin_used ()
#2  0x0804ccaa in strcpy ()
#3  0x08049e74 in strcpy ()
#4  0x42015704 in __libc_start_main () from /lib/tls/libc.so.6

Comment 1 Daniel Walsh 2004-02-11 14:26:05 UTC
Could you check this with procps-3.1.15?

Comment 2 Karel Zak 2005-02-01 16:11:10 UTC
No feedback --> NOTABUG.


Note You need to log in before you can comment on or make changes to this bug.